C+------------------------------------------------------------------------------
C
C     Name:   
C        af2_math.inc
C
C     Description:
C        Include file with useful mathematical constants
C
C     Language:
C        FORTRAN 77
C
C     Non-standard language extensions:
C        variable names > 6 characters
C
C     Authors:
C        (JRL): James R. Lewis -- RGO, Cambridge
C
C     History:
C        01 Dec 1995 (JRL):
C           Original version
C
C-------------------------------------------------------------------------------
C
C     Pi
C
      double precision pi
      parameter (pi=3.1415926535897932384d+00)
C
C     Pi/2
C
      double precision piover2
      parameter (piover2=pi/2.0d0)
C     
C     Conversion from degrees to radians
C
      double precision degtorad
      parameter (degtorad=pi/180.0d+00)
C
C     Conversion from hours to radians
C
      double precision hourstorad
      parameter (hourstorad=15.0d0*degtorad)
C
C     Conversion from radians to degrees
C
      double precision radtodeg
      parameter (radtodeg=180.0d+00/pi)
